ibm_aix51.h File Reference
`#include <stdint.h>`
`#include <unistd.h>`
`#include <sched.h>`
Include dependency graph for ibm_aix51.h:

Go to the source code of this file.

## Macros

#define | __TBB_WORDSIZE 8
#define | __TBB_ENDIANNESS __TBB_ENDIAN_BIG
#define | __TBB_machine_cmpswp4 __TBB_machine_cas_32
#define | __TBB_machine_cmpswp8 __TBB_machine_cas_64
#define | __TBB_Yield() sched_yield()
#define | __TBB_USE_GENERIC_PART_WORD_CAS 1
#define | __TBB_USE_GENERIC_FETCH_ADD 1
#define | __TBB_USE_GENERIC_FETCH_STORE 1
#define | __TBB_USE_GENERIC_HALF_FENCED_LOAD_STORE 1
#define | __TBB_USE_GENERIC_RELAXED_LOAD_STORE 1
#define | __TBB_USE_GENERIC_SEQUENTIAL_CONSISTENCY_LOAD_STORE 1
#define | __TBB_control_consistency_helper() __TBB_machine_isync ()
#define | __TBB_acquire_consistency_helper() __TBB_machine_lwsync ()
#define | __TBB_release_consistency_helper() __TBB_machine_lwsync ()
#define | __TBB_full_memory_fence() __TBB_machine_flush ()

## Functions

int32_t | __TBB_machine_cas_32 (volatile void *ptr, int32_t value, int32_t comparand)
int64_t | __TBB_machine_cas_64 (volatile void *ptr, int64_t value, int64_t comparand)
void | __TBB_machine_flush ()
void | __TBB_machine_lwsync ()
void | __TBB_machine_isync ()

## Macro Definition Documentation

## __TBB_acquire_consistency_helper

#define __TBB_acquire_consistency_helper | ( |  | ) | __TBB_machine_lwsync ()

Definition at line 63 of file ibm_aix51.h.

## __TBB_control_consistency_helper

#define __TBB_control_consistency_helper | ( |  | ) | __TBB_machine_isync ()

Definition at line 62 of file ibm_aix51.h.

## __TBB_ENDIANNESS

#define __TBB_ENDIANNESS __TBB_ENDIAN_BIG

Definition at line 26 of file ibm_aix51.h.

## __TBB_full_memory_fence

#define __TBB_full_memory_fence | ( |  | ) | __TBB_machine_flush ()

Definition at line 65 of file ibm_aix51.h.

## __TBB_machine_cmpswp4

#define __TBB_machine_cmpswp4 __TBB_machine_cas_32

Definition at line 41 of file ibm_aix51.h.

## __TBB_machine_cmpswp8

#define __TBB_machine_cmpswp8 __TBB_machine_cas_64

Definition at line 42 of file ibm_aix51.h.

## __TBB_release_consistency_helper

#define __TBB_release_consistency_helper | ( |  | ) | __TBB_machine_lwsync ()

Definition at line 64 of file ibm_aix51.h.

## __TBB_USE_GENERIC_FETCH_ADD

#define __TBB_USE_GENERIC_FETCH_ADD 1

Definition at line 47 of file ibm_aix51.h.

## __TBB_USE_GENERIC_FETCH_STORE

#define __TBB_USE_GENERIC_FETCH_STORE 1

Definition at line 48 of file ibm_aix51.h.

## __TBB_USE_GENERIC_HALF_FENCED_LOAD_STORE

#define __TBB_USE_GENERIC_HALF_FENCED_LOAD_STORE 1

Definition at line 49 of file ibm_aix51.h.

## __TBB_USE_GENERIC_PART_WORD_CAS

#define __TBB_USE_GENERIC_PART_WORD_CAS 1

Definition at line 46 of file ibm_aix51.h.

## __TBB_USE_GENERIC_RELAXED_LOAD_STORE

#define __TBB_USE_GENERIC_RELAXED_LOAD_STORE 1

Definition at line 50 of file ibm_aix51.h.

## __TBB_USE_GENERIC_SEQUENTIAL_CONSISTENCY_LOAD_STORE

#define __TBB_USE_GENERIC_SEQUENTIAL_CONSISTENCY_LOAD_STORE 1

Definition at line 51 of file ibm_aix51.h.

## __TBB_WORDSIZE

#define __TBB_WORDSIZE 8

Definition at line 25 of file ibm_aix51.h.

## __TBB_Yield

#define __TBB_Yield | ( |  | ) | sched_yield()

Definition at line 44 of file ibm_aix51.h.

## Function Documentation

## __TBB_machine_cas_32()

int32_t __TBB_machine_cas_32 | ( | volatile void * | ptr,
|  | int32_t | value,
|  | int32_t | comparand
| ) |  |

## __TBB_machine_cas_64()

int64_t __TBB_machine_cas_64 | ( | volatile void * | ptr,
|  | int64_t | value,
|  | int64_t | comparand
| ) |  |

## __TBB_machine_flush()

void __TBB_machine_flush | ( |  | ) |

## __TBB_machine_isync()

void __TBB_machine_isync | ( |  | ) |

## __TBB_machine_lwsync()

void __TBB_machine_lwsync | ( |  | ) |

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.